# struct GC::ProfStats

- GC::ProfStats
- Struct
- Value
- Object

##
Defined in:

##
Constructors

- .new(heap_size : LibC::ULong, free_bytes : LibC::ULong, unmapped_bytes : LibC::ULong, bytes_since_gc : LibC::ULong, bytes_before_gc : LibC::ULong, non_gc_bytes : LibC::ULong, gc_no : LibC::ULong, markers_m1 : LibC::ULong, bytes_reclaimed_since_gc : LibC::ULong, reclaimed_bytes_before_gc : LibC::ULong)

##
Instance Method Summary

- #bytes_before_gc : LibC::ULong
- #bytes_reclaimed_since_gc : LibC::ULong
- #bytes_since_gc : LibC::ULong
- #clone
- #copy_with(heap_size _heap_size = @heap_size, free_bytes _free_bytes = @free_bytes, unmapped_bytes _unmapped_bytes = @unmapped_bytes, bytes_since_gc _bytes_since_gc = @bytes_since_gc, bytes_before_gc _bytes_before_gc = @bytes_before_gc, non_gc_bytes _non_gc_bytes = @non_gc_bytes, gc_no _gc_no = @gc_no, markers_m1 _markers_m1 = @markers_m1, bytes_reclaimed_since_gc _bytes_reclaimed_since_gc = @bytes_reclaimed_since_gc, reclaimed_bytes_before_gc _reclaimed_bytes_before_gc = @reclaimed_bytes_before_gc)
- #free_bytes : LibC::ULong
- #gc_no : LibC::ULong
- #heap_size : LibC::ULong
- #markers_m1 : LibC::ULong
- #non_gc_bytes : LibC::ULong
- #reclaimed_bytes_before_gc : LibC::ULong
- #unmapped_bytes : LibC::ULong

### Instance methods inherited from struct `Struct`

==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new(heap_size : LibC::ULong, free_bytes : LibC::ULong, unmapped_bytes : LibC::ULong, bytes_since_gc : LibC::ULong, bytes_before_gc : LibC::ULong, non_gc_bytes : LibC::ULong, gc_no : LibC::ULong, markers_m1 : LibC::ULong, bytes_reclaimed_since_gc : LibC::ULong, reclaimed_bytes_before_gc : LibC::ULong) #

##
Instance Method Detail

def bytes_before_gc : LibC::ULong #
def bytes_reclaimed_since_gc : LibC::ULong #
def bytes_since_gc : LibC::ULong #
def clone #
def copy_with(heap_size _heap_size = @heap_size, free_bytes _free_bytes = @free_bytes, unmapped_bytes _unmapped_bytes = @unmapped_bytes, bytes_since_gc _bytes_since_gc = @bytes_since_gc, bytes_before_gc _bytes_before_gc = @bytes_before_gc, non_gc_bytes _non_gc_bytes = @non_gc_bytes, gc_no _gc_no = @gc_no, markers_m1 _markers_m1 = @markers_m1, bytes_reclaimed_since_gc _bytes_reclaimed_since_gc = @bytes_reclaimed_since_gc, reclaimed_bytes_before_gc _reclaimed_bytes_before_gc = @reclaimed_bytes_before_gc) #
def free_bytes : LibC::ULong #
def gc_no : LibC::ULong #
def heap_size : LibC::ULong #
def markers_m1 : LibC::ULong #
def non_gc_bytes : LibC::ULong #
def reclaimed_bytes_before_gc : LibC::ULong #
def unmapped_bytes : LibC::ULong #